# Получение списка балансов

## Получение списка балансов

<mark style="color:green;">`POST`</mark> `https://api.crystalpay.io/v3/balance/list/`

**Body**

<table><thead><tr><th width="324">Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>auth_login</code><mark style="color:red;">*</mark></td><td>string</td><td>Логин кассы</td></tr><tr><td><code>auth_secret</code><mark style="color:red;">*</mark></td><td>string</td><td>Секретный ключ кассы</td></tr><tr><td><code>hide_empty</code></td><td>bool</td><td>Скрывать пустые балансы</td></tr></tbody></table>

<mark style="color:red;">\*</mark> *- обязательные поля*

**Response**

{% tabs %}
{% tab title="JSON" %}

```json
{
    "error": false,
    "errors": [],
    "items": {
        "BITCOIN": {
            "name": "Bitcoin",
            "amount": "0.0005",
            "currency": "BTC",
            "amount_accuracy": 8
        },
        ...
        "USDTTRC": {
            "name": "USDT TRC-20",
            "amount": "100.1",
            "currency": "USDT",
            "amount_accuracy": 6
        }
    }
}
```

{% endtab %}

{% tab title="Описание полей (items)" %}

<table><thead><tr><th>Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>{ключ элемента}</code></td><td>string</td><td>Внутреннее название баланса / метода</td></tr><tr><td><code>name</code></td><td>string</td><td>Отображаемое имя баланса / метода</td></tr><tr><td><code>currency</code></td><td>string</td><td>Валюта баланса</td></tr><tr><td><code>amount_accuracy</code></td><td>number</td><td>Точность суммы, количество знаков после запятой</td></tr><tr><td><code>amount</code></td><td>string</td><td>Сумма баланса</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.crystalpay.io/metody-api/balance-balansy/poluchenie-spiska-balansov.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
